List webhook endpoints
curl --request GET \
--url https://thirdparty-sandbox.staging.qonto.co/register/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/webhooks"
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_subscriptions": [
{
"callback_url": "https://example.com/myCallbackUrl",
"enabled": true,
"secret": "1qA+9OSwfnm0NuhF+b8CJA==",
"id": "37824615-afec-4340-b700-0981b5f0c319",
"created_at": "2021-08-17T12:31:32.689Z",
"updated_at": "2021-08-17T12:31:32.689Z"
}
],
"meta": {
"current_page": 1,
"next_page": 2,
"prev_page": null,
"total_pages": 2,
"total_count": 27,
"per_page": 25
}
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}Webhooks
List webhook endpoints
Retrieves all the webhook endpoints registered for the authenticated partner.
GET
/
register
/
webhooks
List webhook endpoints
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Number of objects per page.
Returned page.
Was this page helpful?
⌘I